/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
* Restful接口--新增资源--数据传输对象：数据集环境关联表
*
* createdate:  2023-08-23 17:55:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集环境关联表")
public class DataSetEnvRelAddTmpDto implements Serializable
{
    @ApiModelProperty("数据表头")
    private String envId;

    @ApiModelProperty("数据表头")
    private List<DataHeaderDto> tableHeader;

    @ApiModelProperty("数据内容 key-列名 value-该列数据信息列表")
    private Map<String,List<DataContentDto>> tableContent;

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public List<DataHeaderDto> getTableHeader() {
        return tableHeader;
    }

    public void setTableHeader(List<DataHeaderDto> tableHeader) {
        this.tableHeader = tableHeader;
    }

    public Map<String, List<DataContentDto>> getTableContent() {
        return tableContent;
    }

    public void setTableContent(Map<String, List<DataContentDto>> tableContent) {
        this.tableContent = tableContent;
    }
}